### Name: createFullData
### Title: createFullData
### Aliases: createFullData
### Keywords: methods

### ** Examples

        ## Not run: 
##D         # generate micro-data
##D         genMicroData <- function(N) {
##D                 V1 <- sample(c("011", "012","013","021","022"), N, replace=T)
##D                 V2 <- sample(c("01", "02"), N, replace=T)
##D                 V3 <- sample(c("01", "02"), N, replace=T)
##D                 V4 <- sample(c("0011", "0012", "0013","0021","0031","0041","0042", "0051","0061","0062","0071","0072","0081","0091","0101","0102","0111","0112"), N, replace=T)
##D                 
##D                 microDat <- data.frame(V1=V1,V2=V2,V3=V3,V4=V4)
##D                 microDat$numVal <- abs(round(rnorm(N, 500, 200),2))
##D                 sInd <- sample(floor(N/20))
##D                 microDat$numVal[sInd] <- abs(round(rnorm(sInd, 100000, 200),2))
##D                 microDat
##D         }       
##D         # generate minimal data set (a table without subtotals)
##D         genMinimalDat <- function(micro, tableVars, numVar) {
##D                 minimalDat <- as.data.frame(table(microDat[,which(colnames(microDat) %in% tableVars)]))
##D                 indexvars <- which(colnames(micro) %in% tableVars)
##D                 if(!is.null(numVar)) {
##D                         if(length(tableVars)>1) {
##D                                 minimalDat$fac <- apply(minimalDat[,indexvars], 1, function(x) { paste(x, collapse="") } )
##D                                 fac <- apply(microDat[,indexvars], 1, function(x) { paste(x, collapse="") } )
##D                         }
##D                         else {
##D                                 minimalDat$fac <- minimalDat[,indexvars]
##D                                 fac <- microDat[,indexvars]             
##D                         }
##D                 }
##D                 agg <- aggregate(microDat[,which(colnames(microDat)==numVar)], by=list(fac), sum)
##D                 colnames(agg) <- c("fac", numVar)
##D                 minimalDat <- merge(minimalDat, agg, all.x=T)
##D                 minimalDat <- minimalDat[,-which(colnames(minimalDat)=="fac")]
##D                 colnames(minimalDat)[1:length(tableVars)] <- tableVars
##D                 minimalDat
##D         }               
##D                 
##D         microDat <- genMicroData(2000)
##D         tableVars=c("V1","V2","V3","V4")
##D         numVar <- "numVal"
##D         minimalDat <- genMinimalDat(microDat, tableVars, numVar)
##D         
##D         suppRule_Freq <- c(3, FALSE)
##D         suppRule_P <- c(80) 
##D         #suppRule_NK <- c(2,75)
##D         
##D         l <- list()
##D         l[[1]] <- c(1,1,1)
##D         l[[2]] <- c(1,1)
##D         l[[3]] <- c(1,1)
##D         l[[4]] <- c(1,2,1)      
##D         
##D         # minimal Data
##D         # note: specifying suppRule_P is useless!
##D         result1 <- createFullData(minimalDat=minimalDat, tableVars=tableVars, numVar=numVar, suppRule_Freq=suppRule_Freq, suppRule_P=suppRule_P, l=l)
##D         print(class(result1))
##D         print(head(result1$data))
##D         
##D         # micro Data
##D         result2 <- createFullData(microDat=microDat, tableVars=tableVars, numVar=numVar, suppRule_Freq=suppRule_Freq, suppRule_P=suppRule_P, l=l)
##D         print(class(result2))
##D         print(head(result2$data))
##D 
##D         # result1 and result2 can now be used as input parameters for protectTable()
##D         
## End(Not run)



