### Name: protectTable
### Title: protectTable
### Aliases: protectTable
### Keywords: methods

### ** Examples

        ## Not run: 
##D                 ### very simple example: protect a 2-dimensional table with only one marginal sum for each dimensional variable
##D                 V1 <- c("01", "02", "03")
##D                 V2 <- c("01", "02", "03","04", "05")
##D                 minDat <- expand.grid(V1, V2)
##D                 minDat$value <- rpois(nrow(minDat), 7)
##D                 
##D                 # creating the full data set needed for protectTable()
##D                 fullDat <- createFullData (minDat, indexvars=1:2, l=list(c(1,1), c(1,1)), suppVals=TRUE, suppLimit=3, suppZeros=FALSE)
##D                 
##D                 # protecting the data using HYPERCUBE and HITAS approach
##D                 protData1 <- protectTable(fullDat, method="HYPERCUBE")
##D                 protData2 <- protectTable(fullDat, method="HITAS")
##D                 
##D                 summary(protData1); summary(protData2)
##D                 
##D                 ### example with existing data-set
##D                 data(exampleFullData)
##D                 result1 <- protectTable(exampleFullData, method="HYPERCUBE", allowZeros=FALSE, suppMethod="minSum")
##D                 result2 <- protectTable(exampleFullData, method="HITAS", LPLPerc=15, UPLPerc=20)
##D                 summary(result1)
##D                 summary(result2)
##D         
## End(Not run)       



